---
title: Requesting Merlin6 Accounts
#tags:
#keywords:
last_updated: 13 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/request-account.html
---

## Requesting Access to Merlin6

PSI users with their Linux account belonging to the **svc-cluster_merlin6** group are allowed to use Merlin6.

Registration for **Merlin6** access *must be done* through **[PSI Service Now](https://psi.service-now.com/psisp)**:

* Please open a ticket as *Incident Request*, with subject:

   ```bash
   Subject: [Merlin6] Access Request for user '$username'
   ```

* Text content (please use always this template):

   ```bash
   Dear HelpDesk,

   my name is $Name $Surname with PSI username $username and I would like to request access to the Merlin6 cluster.

   Please add me to the following Unix groups:
    * 'svc-cluster_merlin6'

   Thanks a lot,
   $Name $Surname
   ```

---

## Requesting Access to Merlin5

Merlin5 computing nodes will be available for some time as a **best effort** service.
For accessing the old Merlin5 resources, users should belong to the **svc-cluster_merlin5** Unix Group.

Registration for **Merlin5** access *must be done* through **[PSI Service Now](https://psi.service-now.com/psisp)**:

* Please open a ticket as *Incident Request*, with subject:

   ```bash
   Subject: [Merlin5] Access Request for user '$username'
   ```

* Text content (please use always this template):

   ```bash
   Dear HelpDesk,

   my name is $Name $Surname with PSI username $username and I would like to request access to the Merlin5 cluster.

   Please add me to the following Unix groups:
    * 'svc-cluster_merlin5'

   Thanks a lot,
   $Name $Surname
   ```
---

## Requesting extra Unix groups

* Some users may require to be added to some extra specific Unix groups.
   * This will grant access to specific resources.
      * In example, some BIO groups may belong to a specific BIO group for having access to the project area for that group.
   * Supervisors should inform new users which extra groups are needed.
* When requesting access to **[Merlin6](##Requesting-Access-to-Merlin6)** or **[Merlin5](##Requesting-Access-to-Merlin5)**, extra groups can be added in the same *Incident Request*
   * Alternatively, this step can be done later in the future on a different **[PSI Service Now](https://psi.service-now.com/psisp)** ticket.
* If you want to request access for Merlin5 and Merlin6
   * Use the template **[Requesting Access to Merlin6](##Requesting-Access-to-Merlin6)** and add also the **``'svc-cluster_merlin5'``** Unix Group to the request.
