---
title: Code Of Conduct
#tags:
#keywords:
last_updated: 13 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/code-of-conduct.html
---

## The Basic principle

The basic principle is courtesy and consideration for other users.

* Merlin6 is a shared resource, not your laptop, therefore you are kindly requested to behave in a way you would be happy to see other users behaving towards you.
* Basic shell programming skills in Linux/UNIX environment is a must-have requirement for HPC users; a proficiency in shell programming would be greatly beneficial.

## Interactive nodes

* The interactive nodes (also known as login nodes) are for development and quick testing:
   * Is **strictly forbidden to run production jobs** on the login nodes.
   * Is **forbidden to run long processes** occupying big part of the resources.
   * According to the previous rules, **any miss-behaving running processes will be killed.**
* All production jobs must be submitted to the batch system.

## Batch system

* Make sure that no broken or run-away processes are left when your job is done. Keep the process space clean on all nodes.
* During the runtime of a job, is mandatory to make use of the ``/scratch`` and ``/shared-scratch`` partitions for temporary data:
    * Is **forbidden** to use the ``/data/user``, ``/data/project`` or ``/psi/home/`` for that purpose.
    * Always remove files you do not need any more (e.g. core dumps, temporary files) as early as possible. Keep the disk space clean on all nodes.
    * Prioritize the use of ``/scratch`` over ``/shared-scratch`` and use the latter when clearly needed (in example, a need for a shared disk visible from multiple nodes)
* Read description in **[Merlin6 directory structure](### Merlin6 directory structure)** for correct usage of each partition type.

## System Administrator Rights

* The system administrator has the right to block the access to Merlin6 for an account violating the Code of Conduct
   * The issue will be escalated to the user's supervisor.
* The system administrator has the right to delete files in the **scratch** directories exceeding the above rules.
* The system administrator has the right to kill any miss-behaving running processes.
